import unittest
import math_tool_v2

class Test(unittest.TestCase):
 # Checks whether the two values are equal
 def test_add_6_3(self):
  result=math_tool.add(6,3) 
  self.assertEqual( result, 9)  
 # Checks whether the two values are not equal
 def test_add_7_3_a(self):
  result=math_tool.add(7,3)
  self.assertNotEqual( result, 9) 
 # Checks whether the values is False
 def test_isOdd_true(self):
  result=math_tool.isOdd(4)
  self.assertFalse(result) 
 # Checks whether the values is True
 def test_isOdd_false(self):
  result=math_tool.isOdd(3)
  self.assertTrue(result) 
 # Checks the datatype
 def test_bool(self):
  result=math_tool.isOdd(3)
  self.assertIsInstance(result,bool) 
 # Checks that an error is raised
 def test_error_message_if_both_args_not_numbers(self):
  self.assertRaises(TypeError,  math_tool.division, 'two', 'three')
 # Checks that an error is raised     
 def test_error_message_divide_by_zero(self):
  self.assertRaises(ZeroDivisionError, math_tool.division, 2, 0)  
 
if __name__ == '__main__':
 unittest.main()
