import io
import unittest
import unittest.mock

def hello():
 print ("Hello World")

class TestHello(unittest.TestCase):

 @unittest.mock.patch('sys.stdout', new_callable=io.StringIO)
 def assert_stdout(self, mock_stdout):
  hello()
  self.assertEqual(mock_stdout.getvalue(), 'Hello World\n')

 def test_hello(self):
  self.assert_stdout()

if __name__ == '__main__':
 unittest.main()
